Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## classes.utilities
Class Validators

    java.lang.Object
      classes.utilities.Validators

    public class Validators

extends java.lang.Object

A Validators osztály olyan metódusok halmaza, melyek az adatlapokról bekért különböző értékekről döntik el, hogy megfelelnek-e bizonyos formai vagy tartalmi követelményeknek.

Constructor Summary
`Validators()`

Method Summary
`boolean` | `hasMissingField(java.lang.String[] fields)` A metódus segítségével azt állapíthatjuk meg, hogy egy adott adatlapon van-e olyan kötelező mező, mely nem lett kitöltve.
`boolean` | `isValidAccount(java.lang.String text)` A metódus segítségével az átadatott sztringről azt dönthetjük el, hogy lehet-e érvényes magyarországi bankszámlaszám.
`boolean` | `isValidAmount(java.lang.String text)` A metódus segítségével az átadatott sztringről azt dönthetjük el, hogy lehet-e érvényes mennyiség, vagyis pozitív egész szám-e.
`boolean` | `isValidDate(java.lang.String year, java.lang.String month, java.lang.String day)` A metódus segítségével az átadatott sztringről azt dönthetjük el, hogy lehet-e érvényes dátum.
`boolean` | `isValidEmail(java.lang.String text)` A metódus segítségével az átadatott sztringről azt dönthetjük el, hogy lehet-e érvényes, az RFC 5322-es szabványban foglaltaknak megfelelő email cím.
`boolean` | `isValidTax(java.lang.String text)` A metódus segítségével az átadatott sztringről azt dönthetjük el, hogy lehet-e érvényes magyarországi adószám.
`boolean` | `isValidTelephone(java.lang.String text)` A metódus segítségével az átadatott sztringről azt dönthetjük el, hogy lehet-e érvényes, előhívó nélküli, magyarországi telefonszám.
`boolean` | `isValidZip(java.lang.String text)` A metódus segítségével az átadatott sztringről azt dönthetjük el, hogy lehet-e érvényes magyarországi irányítószám.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Validators

    public Validators()

Method Detail

### hasMissingField

    public boolean hasMissingField(java.lang.String[] fields)

  A metódus segítségével azt állapíthatjuk meg, hogy egy adott adatlapon van-e olyan kötelező mező, mely nem lett kitöltve.

  Parameters:
    `fields` - Azon mezők listája, melyeket ki kellett tölteni
  Returns:
    Ha van hiányzó igaz, ha nincs, hamis értékkel tér vissza

### isValidAccount

    public boolean isValidAccount(java.lang.String text)

  A metódus segítségével az átadatott sztringről azt dönthetjük el, hogy lehet-e érvényes magyarországi bankszámlaszám.

  Parameters:
    `text` - A vizsgálandó szöveg
  Returns:
    Igaz értéket ad vissza ha igen, és hamisat ha nem

### isValidAmount

    public boolean isValidAmount(java.lang.String text)

  A metódus segítségével az átadatott sztringről azt dönthetjük el, hogy lehet-e érvényes mennyiség, vagyis pozitív egész szám-e.

  Parameters:
    `text` - A vizsgálandó szöveg
  Returns:
    Igaz értéket ad vissza ha igen, és hamisat ha nem

### isValidDate

    public boolean isValidDate(java.lang.String year,
                               java.lang.String month,
                               java.lang.String day)

  A metódus segítségével az átadatott sztringről azt dönthetjük el, hogy lehet-e érvényes dátum.

  Parameters:
    `year` - A vizsgálandó szöveg első része, mely az év kell hogy legyen
    `month` - A vizsgálandó szöveg második része, mely az hónap kell hogy legyen
    `day` - A vizsgálandó szöveg harmadik része, mely az nap kell hogy legyen
  Returns:
    Igaz értéket ad vissza ha igen, és hamisat ha nem

### isValidEmail

    public boolean isValidEmail(java.lang.String text)

  A metódus segítségével az átadatott sztringről azt dönthetjük el, hogy lehet-e érvényes, az RFC 5322-es szabványban foglaltaknak megfelelő email cím.

  Parameters:
    `text` - A vizsgálandó szöveg
  Returns:
    Igaz értéket ad vissza ha igen, és hamisat ha nem

### isValidTax

    public boolean isValidTax(java.lang.String text)

  A metódus segítségével az átadatott sztringről azt dönthetjük el, hogy lehet-e érvényes magyarországi adószám.

  Parameters:
    `text` - A vizsgálandó szöveg
  Returns:
    Igaz értéket ad vissza ha igen, és hamisat ha nem

### isValidTelephone

    public boolean isValidTelephone(java.lang.String text)

  A metódus segítségével az átadatott sztringről azt dönthetjük el, hogy lehet-e érvényes, előhívó nélküli, magyarországi telefonszám.

  Parameters:
    `text` - A vizsgálandó szöveg
  Returns:
    Igaz értéket ad vissza ha igen, és hamisat ha nem

### isValidZip

    public boolean isValidZip(java.lang.String text)

  A metódus segítségével az átadatott sztringről azt dönthetjük el, hogy lehet-e érvényes magyarországi irányítószám.

  Parameters:
    `text` - A vizsgálandó szöveg
  Returns:
    Igaz értéket ad vissza ha igen, és hamisat ha nem

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD